//SECTION POSTS
.posts {

  &__block {
    display: grid;
  }
}

.block__item {
  display: flex;

  &-content {
    max-width: 404px;
  }

  &-link {
    text-decoration: none;
  }

  &-image {
    width: 160px;
    height: 140px;
    object-fit: cover;
  }

  &-name {
    font-weight: bold;
    line-height: 30px;
    color: $main-font-color;
  }

  &-specs {
    display: flex;
  }

  &-span {
    color: #7C7C7C;
    margin-right: 10px;
    line-height: 20px;
  }

  &-desc {
    font-size: 14px;
    color: #5C5C5C;
    margin-top: 13px;
    line-height: 26px;
  }
}

@media screen and (max-width: 480px) {
  .posts {
    margin-bottom: 40px;

    &__block {
      margin-top: 23px;
      grid-template-columns: 1fr;
      grid-template-rows: 3fr;
      grid-row-gap: 28px;
    }

  }

  .block__item {
    flex-direction: column;

    &:nth-child(4) {
      display: none;
    }

    &-image {
    }

    &-name {
      font-size: 14px;
      margin-top: 11px;
    }

    &-span {
      font-size: 11px;
    }

    &-desc {
      display: none;
    }
  }

}

@media screen and (min-width: 481px) and (max-width: 992px) {
  .posts {
    margin-bottom: 60px;

    &__block {
      margin-top: 24px;
      grid-template-columns: 1fr;
      grid-template-rows: repeat(4, 1fr);
      grid-row-gap: 32px;
    }
  }

  .block__item {

    &-image {
      margin-right: 20px;
    }

    &-name {
      font-size: 14px;
    }

    &-span {
      font-size: 11px;
    }
  }
}

@media screen and (min-width: 993px) {
  .posts {
    margin-bottom: 69px;

    &__block {
      margin-top: 24px;
      grid-template-columns: repeat(2, 1fr);
      grid-template-rows: repeat(2, 1fr);
      grid-row-gap: 32px;
      grid-column-gap: 25px;
    }
  }

  .block__item {

    &-image {
      margin-right: 20px;
    }

    &-name {
      font-size: 14px;
    }

    &-span {
      font-size: 11px;
    }
  }
}